> For the complete documentation index, see [llms.txt](https://docs.sportsapi360.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportsapi360.com/football-docs/football-api/introduction-to-api.md).

# Introduction to API

Now that all prerequisites have been fulfilled, we’re ready to send our first request to the API!

Before you are able to call our API, you need a SportsAPI360 account. [Register now.](https://sportsapi360.com/register)

To make our first request, we’ll need a way to get authenticated first. **Football API 1.0** utilizes API tokens for authenticating requests. You can obtain and manage your API key in the [SportsAPI360](https://sportsapi360.com/login).

Example API key: \[HdoiD312ND….]

The API key is intended for your eyes only and, as such, should be stored securely.

{% hint style="danger" %}
API key has no expiration date and will remain valid until you manually delete it yourself.
{% endhint %}

## Cricket API

The request consists of the following components:

* The base URL
* A path parameter, in this example, we use \[series]
* A query string parameter, which is optional, so we leave this out for now
* And finally, your API key

{% tabs %}
{% tab title="Base URL" %}
{% code overflow="wrap" %}

```mathml
https://apiv3.sportsapi360.com/football/api/v1
```

{% endcode %}
{% endtab %}
{% endtabs %}

An example of a correctly authenticated request would be:

{% tabs %}
{% tab title="Request" %}
{% code overflow="wrap" %}

```mathml
curl --location 'https://apiv3.sportsapi360.com/football/api/v1/matches/live' \
--header 'x-app-key: {{ your api key }}'
```

{% endcode %}
{% endtab %}

{% tab title="Response" %}

```
[{
    "tourName": "Indian Premier League, 2025",
    "seriesSearchNameForES": "Indian Premier League, 2025, March, Mar",
    "tourID": "7126",
    "league": "IPL",
    "seriesStartDate": "1742652000000",
    "seriesEndDate": "1748979000000",
    "T20count": 79,
    "matchLevel": "domestic",
    "Odicount": null,
    "Testcount": null,
    "seriesStatus": "live"
  },
  {
    "tourName": "ICC CWC League 2, 2023-27",
    "seriesSearchNameForES": "ICC CWC League 2, 2023-27, February, Feb",
    "tourID": "4689",
    "league": "ICC",
    "seriesStartDate": "1707968700000",
    "seriesEndDate": "1749742200000",
    "T20count": null,
    "matchLevel": "international",
    "Odicount": 79,
    "Testcount": null,
    "seriesStatus": "live"
  },
  {
    "tourName": "West Indies Women tour of England, 2025",
    "seriesSearchNameForES": "West Indies Women tour of England, 2025, May, May",
    "tourID": "6986",
    "league": "Women's International",
    "seriesStartDate": "1747848600000",
    "seriesEndDate": "1749310200000",
    "T20count": 3,
    "matchLevel": "international-womens",
    "Odicount": 3,
    "Testcount": null,
    "seriesStatus": "live"
  }]
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
We recommend you use Postman for convenience. Every endpoint has an example request ready for you to use. Hit the button below to import our **Football API** collection. [![Run in Postman](https://docs.sportmonks.com/~gitbook/image?url=https%3A%2F%2Frun.pstmn.io%2Fbutton.svg\&width=300\&dpr=4\&quality=100\&sign=5f4dbf4c\&sv=2)](https://football-postman.sportsapi360.com/)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportsapi360.com/football-docs/football-api/introduction-to-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
